using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje2._1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prviRed = Console.ReadLine().Split();
            int n = Convert.ToInt16(prviRed[0]);
            int kartaIznad = Convert.ToInt16(prviRed[1]);

            string[] drugiRed = Console.ReadLine().Split();
            int[] karte = Array.ConvertAll(drugiRed, int.Parse);

            if (kartaIznad == karte.Last()) {
                Console.WriteLine(karte[0]);
            }
            else {
                for (int i = 0; i < n; i++) {
                    if (karte[i] == kartaIznad) {
                        Console.WriteLine(karte[i+1]);
                        break;
                    }
                }
            }

            Console.ReadKey();
        }
    }
}